# XMPP::Transport Class Reference

This interface is the base class of each XMPP transport class. More...

`#include <xmpp.h>`

Inheritance diagram for XMPP::Transport:

List of all members.

## Public Member Functions

virtual PBoolean | Open ()=0
virtual PBoolean | Close ()=0
| Close the channel.

## Detailed Description

This interface is the base class of each XMPP transport class.

Derived classes might include an XMPP TCP transport as well as classes to handle XMPP incapsulated in SIP messages.

## Member Function Documentation

virtual PBoolean XMPP::Transport::Close | ( |  | ) | `[pure virtual]`

Close the channel.

This will detach itself from the read and write channels and delete both of them if they are auto delete.

Returns:
  true if the channel is closed.

Reimplemented from PIndirectChannel.

Implemented in XMPP::C2S::TCPTransport.

virtual PBoolean XMPP::Transport::Open | ( |  | ) | `[pure virtual]`

Implemented in XMPP::C2S::TCPTransport.

The documentation for this class was generated from the following file:

- xmpp.h